from sentinelscan.modules import port_scanner

def test_scan_ports_localhost():
    results = port_scanner.scan_ports("127.0.0.1", 22, 22)
    assert isinstance(results, list)

def test_common_ports():
    results = port_scanner.scan_common_ports("127.0.0.1")
    assert isinstance(results, list)

def test_stealth_scan():
    results = port_scanner.scan_with_delay("127.0.0.1", 22, 22, delay=0.1)
    assert isinstance(results, list)

def test_udp_scan():
    results = port_scanner.udp_scan("127.0.0.1", [53])
    assert isinstance(results, list)
